Bug 136629 - vmnet prevents RHEL4 shutdown
vmnet prevents RHEL4 shutdown
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vmware (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Todd Barr
Todd Barr
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-21 06:57 EDT by Warren Togami
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-01 11:59:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2004-10-21 06:57:12 EDT
Description of problem:
unregister_netdevice: waiting for vmnet8 to become free.  Usage count = 1

When you shut down FC3/RHEL4 systems with vmware's kernel modules
loaded, vmnet loops forever with the above message preventing
reboot/shutdown.

Version-Release number of selected component (if applicable):
VMwareWorkstation-4.5.2-8848
kernel-2.6.9-1.640
Comment 1 Warren Togami 2004-11-05 00:07:33 EST
One related problem, if solved by vmware upstream, would effectively
workaround this vmnet kernel problem.  vmware's supplied script in
/etc/init.d/vmware is improperly written, so that it is not installing
K symlinks into runlevel 0.  If you add it manually, then it
successfull stops vmware service and unloads the modules during
shutdown, preventing this problem.

[root@ibmlaptop rc.d]# chkconfig vmware off && chkconfig vmware on 
[root@ibmlaptop rc.d]# find |grep vmware
./init.d/vmware
./rc2.d/S90vmware
./rc3.d/S90vmware
./rc4.d/S90vmware
./rc5.d/S90vmware

/etc/init.d/cpuspeed demonstrated below properly sets the 0 and 6
runlevels.
[root@ibmlaptop rc.d]# chkconfig cpuspeed off && chkconfig cpuspeed on
[root@ibmlaptop rc.d]# find |grep cpu
./init.d/cpuspeed
./rc0.d/K99cpuspeed
./rc1.d/S06cpuspeed
./rc2.d/S06cpuspeed
./rc3.d/S06cpuspeed
./rc4.d/S06cpuspeed
./rc5.d/S06cpuspeed
./rc6.d/K99cpuspeed

Fix: VMWare upstream must fix their /etc/init.d/vmware script.
Comment 2 Warren Togami 2007-10-01 11:59:42 EDT
This was fixed a while ago. 

Note You need to log in before you can comment on or make changes to this bug.